### Constructor

# ICalGLib VcardComponent new

since: 4.0

#### Declaration [src]

    ICalVcardComponent*
    i_cal_vcard_component_new (
      ICalVcardComponentKind kind
    )

#### Description [src]

Creates a new `ICalVcardComponent` with specified kind.

Available since: 4.0

#### Parameters

`kind`

  Type: `ICalVcardComponentKind`

  The `ICalVcardComponentKind`.

#### Return value

Type: `ICalVcardComponent`

The newly created `ICalVcardComponent`.

The caller of the function takes ownership of the data, and is responsible for freeing it.